[ Maverik Level 2 typedefs ]

#

MAV_mapEvent

## Summary

Window map events.

## Syntax

    typedef struct {
      MAV_window *win;
      int map;
    } MAV_mapEvent;

## Description

The window mapping (iconify/de-iconify) event data structure, `MAV_mapEvent`, is passesd to the application supplied callback function (set with the mav_callbackMapSet function) to provide details of this event.

The fields are as follows:

- `win` window for which event occured.

- `map` set to `MAV_MAP` or `MAP_UNMAP`, as appropriate.

Back to the index page.